Subject: Re: Composing git repositories

From: Jonathan Nieder <[email-masked]>
Date: Wed, 27 Mar 2013 13:42:13 -0700

Junio C Hamano wrote:

> I however do not see the implementation detail of having (or not
> having) separate $GIT_DIR for component projects having anything to
> do with the goal of that ideal.

Yeah, I think the current gitlink-instead-of-full-git-dir-for-submodules
implementation that can allow "git rm" to remove a submodule and
"git checkout --recurse-submodules" to later revive it is good.